Name:           flightctl-quadlet-installer
Version:        0.6.0~main~67~g5ac4d41
Release:        1.20250328175854565895.pr1037.67.g5ac4d41%{?dist}
Summary:        Flight Control Quadlet Installer

License:        Apache-2.0 AND BSD-2-Clause AND BSD-3-Clause AND ISC AND MIT

Source0:        flightctl-quadlet-installer-0.6.0~main~67~g5ac4d41.tar.gz

BuildArch:      noarch
BuildRequires:  make
Requires:       bash

%description
The flightctl-quadlet-installer package provides quadlet files and setup for running Flight Control services

%prep
%setup -q -n flightctl-quadlet-installer-0.6.0~main~67~g5ac4d41

%build
# No compilation needed for this package

%install
# Create the target directory
mkdir -p %{buildroot}/etc/flightctl/

# Copy files into the build root
cp -r deploy/podman %{buildroot}/etc/flightctl/templates
cp deploy/scripts/installer.sh %{buildroot}/etc/flightctl/installer.sh
cp deploy/scripts/shared.sh %{buildroot}/etc/flightctl/shared.sh

%files
%defattr(0644,root,root,-)
/etc/flightctl/templates
%attr(0755,root,root) /etc/flightctl/installer.sh
%attr(0755,root,root) /etc/flightctl/shared.sh

%changelog
* Fri Mar 28 2025 Packit <hello@packit.dev> - 0.6.0~main~67~g5ac4d41-1.20250328175854565895.pr1037.67.g5ac4d41
- EDM-1186: Fix early return and add newline (Dakota Crowder)
- EDM-1186: Ignore/remove rpm build artifact (Dakota Crowder)
- EDM-1186: Cleanup/refactoring (Dakota Crowder)
- EDM-1186: Halt if secret create errors (Dakota Crowder)
- EDM-1186: Escape env var in psql init script (Dakota Crowder)
- EDM-1186: Export outpu dir (Dakota Crowder)
- EDM-1186: Refactor scripts to try and make state mgmt more clear (Dakota Crowder)
- EDM-1186: Split out rpm spec into different dir (Dakota Crowder)
- EDM-1186: align on flightctl default db name (Dakota Crowder)
- EDM-1186: modify unittest db name (Dakota Crowder)
- EDM-1186: Ensure both output dirs for a service are created (Dakota Crowder)
- EDM-1186: Fix spelling / move comments (Dakota Crowder)
- EDM-1186: Undo accidental .spec change (Dakota Crowder)
- EDM-1186: Hook into current rpm build (Dakota Crowder)
- EDM-1186: Some refactoring and get standalones running (Dakota Crowder)
- EDM-1186: Modify local deploy script to use installer.sh (Dakota Crowder)
- EDM-1186: Adjust output dir defaults (Dakota Crowder)
- EDM-1186: Rename env.sh to shared.sh (Dakota Crowder)
- EDM-1186: Initial spec definition (Dakota Crowder)
- EDM-1186: Get all services running, modify db to mount startup script (Dakota Crowder)
- EDM-1186: Template/move files for all services (Dakota Crowder)
- EDM-1186: Begin writing installer script with envsubst templating (Dakota Crowder)
- EDM-1186: Fix typo (Dakota Crowder)
- EDM-1186: Enclose generate_password in quotes (Dakota Crowder)
- EDM-1186: Trim /dev/urandom input to prevent gh workflow hanging (Dakota Crowder)
- EDM-1186: Refactor generation to use shared function (Dakota Crowder)
- EDM-1186: Refactor podman commands and rename calls to ensure (Dakota Crowder)
- EDM-1186: Ensure volume is created for standalone services (Dakota Crowder)
- EDM-1186: Wrap pw generation in string (Dakota Crowder)
- EDM-1186: Add show secret make cmd (Dakota Crowder)
- EDM-1186: Enable standalone deployments of db and kv using secrets (Dakota Crowder)
- EDM-1186: Add secrets generation and usage to quadlets deployment (Dakota Crowder)
- EDM-1317: EDM-1321: api: add missing inline application eval (Sam Batschelet)
- EDM-310: Refactor CA handling (Anton Ivanov)
- NO-ISSUE: Update helm charts with new UI params (rawagner)
- NO-ISSUE: Fix status e2e test (sserafin)
- NO-ISSUE: Anchors are not currently supported for workflows (#1013) (Gregory Shilin)
- EDM-1308: Use chi middleware request IDs (Avishay Traeger)
- EDM-1211: *: implement inline application provider (Sam Batschelet)
- EDM-1211: agent/applications: refactor (Sam Batschelet)
- EDM-1211: api: add application inline provider (Sam Batschelet)
- EDM-1290: Allow passing nil maps to distinguish between missing and empty labels during resource update (#1011) (Assaf Albo)
- EDM-1309: Prevent client from setting ER status (Avishay Traeger)
- EDM-1252:Adding labels (Eldar101)
- EDM-696: Support AAP Gateway OAuth2 (rawagner)
- NO-ISSUE: Make example enrollment request valid (Celia Amador)
- EDM-1214: Perform better validation of CSR and enrollment requests (Anton Ivanov)
- EDM-1251: fix JSONB fields in CompositeSelectorResolver (#995) (Assaf Albo)
- EDM-1138: Upgrade go to RH-supported (and FIPS-compatible) version (#980) (Gregory Shilin)
- EDM-1039: Make CLI code Windows compatible (#951) (Gregory Shilin)

* Wed Mar 26 2025 Dakota Crowder <dcrowder@redhat.com> - 0.5.0
- Initial spec definition
